Subject: bug#25494: sed 4.3-1 segmentation fault (core dumped) : Error in `sed': realloc(): invalid next size: 0x000000000209aed0 ***

From: Noé Girand <[email-masked]>
Date: Fri, 20 Jan 2017 20:29:19 +0100

Hi Assaf, thank you very much for you feedback.

Attached is my sed-dump.xml example input file, and `locale` outputs '
LANG=fr_FR.UTF-8
LC_CTYPE=fr_FR.UTF-8
LC_NUMERIC="fr_FR.UTF-8"
LC_TIME="fr_FR.UTF-8"
LC_COLLATE="fr_FR.UTF-8"
LC_MONETARY="fr_FR.UTF-8"
LC_MESSAGES="fr_FR.UTF-8"
LC_PAPER="fr_FR.UTF-8"
LC_NAME="fr_FR.UTF-8"
LC_ADDRESS="fr_FR.UTF-8"
LC_TELEPHONE="fr_FR.UTF-8"
LC_MEASUREMENT="fr_FR.UTF-8"
LC_IDENTIFICATION="fr_FR.UTF-8"
'

Let me know if I can provide any additional help.

Regards,
Noe

2017-01-20 20:07 GMT+01:00 Assaf Gordon <[email-masked]>:

> Hello,
>
> On 01/20/2017 07:18 AM, Noé Girand wrote:
> > is there any feedback about this issue ?
>
> Thank you for the report.
>
> It seems your original message was not received, as I can't find a
> trace of it in the mailing list archives.
> Thanks for resending it.
>
> >> On running the following sed script
> >> [...]
> >> *** Error in `sed': realloc(): invalid next size: 0x000000000209aed0 ***
>
> I sadly not able to reproduce this, with sed-4.3 or the latest git
> version. Perhaps this is due to input which isn't exactly what you're
> using.
>
> May I ask you to send the input XML file as an attachment,
> just to ensure I'm testing on the same file?
>
> Also, what is your current locale (i.e. the output of the 'locale'
> program) ?
>
> Thanks,
>  - assaf
>
>
>
>